Call pickup groups
List call pickup groups
Use the filter query parameter to retrieve just a subset of a collection.
Use the search query parameter to restrict the results of a request to match a search criterion.
Use the orderby query parameter to specify the sort order of the items returned from server.
The default order is ascending order.
Use the skip query parameter to set the number of items to skip at the start of a collection.
0Use the top query parameter to specify the page size of the result set.
100OK
Total number of resource.
100Error
GET /api/call_pickup_groups HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"count": 100,
"items": [
{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw",
"name": "text",
"description": "text"
}
]
}Create a new call pickup group.
The name of call park group
The description of call park group.
Created call pickup group
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwError
POST /api/call_pickup_groups HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"name": "text",
"description": "text"
}{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw"
}Retrieves details of a call pickup group.
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwOK
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwThe name of call park group
The description of call park group.
Error
GET /api/call_pickup_groups/{id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw",
"name": "text",
"description": "text"
}Update an call pickup group.
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwThe name of call park group
The description of call park group.
Updated call pickup group
No content
Error
POST /api/call_pickup_groups/{id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"name": "text",
"description": "text"
}No content
Was this helpful?